Skip to main content
GET
/
api
/
v1
/
call-histories
List Call Histories
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "per_page": 1,
  "cursor": "example",
  "date_from": "2026-05-01T06:38:05",
  "date_to": "2052-05-24"
}
'
{
  "data": [
    {
      "id": "01kqh44f9wdwxghyfxsxs645s3",
      "start_time": "2026-04-20T06:17:12.000000Z",
      "end_time": "2026-04-26T20:29:54.000000Z",
      "duration": "14:12:42",
      "channel_type": "sms",
      "cost": 8.7546,
      "session_id": null,
      "end_reason": "transfer",
      "session_status": "active",
      "from": "+13235266748",
      "to": "+18067210719",
      "direction": "inbound",
      "session_outcome": "escalated",
      "e2e_latency": 4195,
      "agent_id": "01kqh44f9159fd9ry816nwb46k",
      "workspace_id": "01kqh44f9fxkk4cqnahb88yhvb",
      "created_at": "2026-05-01T06:38:05.000000Z",
      "updated_at": "2026-05-01T06:38:05.000000Z",
      "analysis": null
    },
    {
      "id": "01kqh44fbvqbgte0z5h507bfj9",
      "start_time": "2026-04-20T04:54:02.000000Z",
      "end_time": "2026-04-21T04:56:02.000000Z",
      "duration": "00:02:00",
      "channel_type": "sms",
      "cost": 0.9485,
      "session_id": null,
      "end_reason": "timeout",
      "session_status": "active",
      "from": "+12346235439",
      "to": "+14327897092",
      "direction": "outbound",
      "session_outcome": "unresolved",
      "e2e_latency": 3624,
      "agent_id": "01kqh44fb2qhmca6gefg38v94v",
      "workspace_id": "01kqh44fbecbxck2bn3x7z5tae",
      "created_at": "2026-05-01T06:38:05.000000Z",
      "updated_at": "2026-05-01T06:38:05.000000Z",
      "analysis": null
    }
  ],
  "meta": {
    "per_page": 20,
    "next_cursor": null,
    "prev_cursor": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
per_page
integer

Must be at least 1. Must not be greater than 100.

Example:

1

cursor
string
Example:

"example"

date_from
string | null

Must be a valid date.

Example:

"2026-05-01T06:38:05"

date_to
string | null

Must be a valid date. Must be a date after or equal to date_from.

Example:

"2052-05-24"

Response

200 - application/json
data
object[]
Example:
[
  {
    "id": "01kqh44f9wdwxghyfxsxs645s3",
    "start_time": "2026-04-20T06:17:12.000000Z",
    "end_time": "2026-04-26T20:29:54.000000Z",
    "duration": "14:12:42",
    "channel_type": "sms",
    "cost": 8.7546,
    "session_id": null,
    "end_reason": "transfer",
    "session_status": "active",
    "from": "+13235266748",
    "to": "+18067210719",
    "direction": "inbound",
    "session_outcome": "escalated",
    "e2e_latency": 4195,
    "agent_id": "01kqh44f9159fd9ry816nwb46k",
    "workspace_id": "01kqh44f9fxkk4cqnahb88yhvb",
    "created_at": "2026-05-01T06:38:05.000000Z",
    "updated_at": "2026-05-01T06:38:05.000000Z",
    "analysis": null
  },
  {
    "id": "01kqh44fbvqbgte0z5h507bfj9",
    "start_time": "2026-04-20T04:54:02.000000Z",
    "end_time": "2026-04-21T04:56:02.000000Z",
    "duration": "00:02:00",
    "channel_type": "sms",
    "cost": 0.9485,
    "session_id": null,
    "end_reason": "timeout",
    "session_status": "active",
    "from": "+12346235439",
    "to": "+14327897092",
    "direction": "outbound",
    "session_outcome": "unresolved",
    "e2e_latency": 3624,
    "agent_id": "01kqh44fb2qhmca6gefg38v94v",
    "workspace_id": "01kqh44fbecbxck2bn3x7z5tae",
    "created_at": "2026-05-01T06:38:05.000000Z",
    "updated_at": "2026-05-01T06:38:05.000000Z",
    "analysis": null
  }
]
meta
object